Index: /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/historyCtrl.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/historyCtrl.js	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/historyCtrl.js	(revision 12878)
@@ -2,6 +2,6 @@
     var module = appStatusPlugin.getAngularModule();
     module.controller('app.status.historyCtrl',
-        ['$scope', '$interval', 'app.status.data.service',
-        function ($scope, $interval, dataService) {
+        ['$scope', '$interval', 'app.status.data.service', '$log',
+        function ($scope, $interval, dataService, $log) {
             $scope.chartOptions = {
                 grid: {
@@ -40,5 +40,4 @@
             };
 
-
             $scope.fromDate = new Date();
             $scope.toDate = new Date();
@@ -52,5 +51,7 @@
                 { id: 2, name: 'Yesterday' },
                 { id: 3, name: 'Last 7 Days' },
-                { id: 4, name: 'Last 30 Days' }
+                { id: 4, name: 'Last 30 Days' },
+                { id: 5, name: 'Last 6 Months' },
+                { id: 6, name: 'Last Year' }
             ];
             $scope.changeQuickSelection = function (quickSelection) {
@@ -72,4 +73,18 @@
                     case 4:
                         $scope.fromDate = new Date(today.valueOf() - (30 * oneDayInMs));
+                        $scope.toDate = new Date(today.valueOf());
+                        break;
+                    case 5:
+                        var month = today.getMonth() - 6;
+                        if (month < 0) {
+                            month += 12;
+                        }
+                        $scope.fromDate = new Date(today.valueOf());
+                        $scope.fromDate.setMonth(month);
+                        $scope.toDate = new Date(today.valueOf());
+                        break;
+                    case 6:
+                        $scope.fromDate = new Date(today.valueOf());
+                        $scope.fromDate.setFullYear(today.getFullYear()-1);
                         $scope.toDate = new Date(today.valueOf());
                         break;
@@ -113,9 +128,9 @@
                     for (var i = 0; i < noOfStatus; ++i) {
                         var curStatus = status[i];
-                        var cpuData = Math.round(curStatus.CpuUtilizationStatus.ActiveCpuUtilization);
+                        var cpuData = Math.round(curStatus.CpuUtilizationStatus.TotalCpuUtilization);
                         cpuSeries.push([curStatus.Timestamp, cpuData]);
-                        coreSeries[0].push([curStatus.Timestamp, curStatus.CoreStatus.ActiveCores]);
-                        coreSeries[1].push([curStatus.Timestamp, curStatus.CoreStatus.CalculatingCores]);
-                        memorySeries[0].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.ActiveMemory / 1024)]);
+                        coreSeries[0].push([curStatus.Timestamp, curStatus.CoreStatus.TotalCores]);
+                        coreSeries[1].push([curStatus.Timestamp, curStatus.CoreStatus.UsedCores]);
+                        memorySeries[0].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.TotalMemory / 1024)]);
                         memorySeries[1].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.UsedMemory / 1024)]);
                     }
@@ -129,5 +144,4 @@
                         { data: memorySeries[1], label: "&nbsp;Used Memory", color: "LightPink" }
                     ];
-
                 });
             };
Index: /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/status.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/status.cshtml	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/status.cshtml	(revision 12878)
@@ -88,5 +88,5 @@
                     <tr data-toggle="tooltip" data-placement="bottom" title="All calculating slaves that are allowed to calculate">
                         <td class="text-left">Calculating:</td>
-                        <td class="text-right">{{status.MemoryStatus.UsedMemory | kbToGB}} GB</td>
+                        <td class="text-right">{{status.MemoryStatus.CalculatingMemory | kbToGB}} GB</td>
                     </tr>
                 </table>
@@ -115,4 +115,54 @@
                     </tr>
                 </table>
+            </div>
+        </div>
+    </div>
+</div>
+
+<div class="row">
+    <div class="col-lg-12">
+        <div class="panel panel-default">
+            <div class="panel-heading">
+                <h3 class="panel-title">Status Overview</h3>
+            </div>
+            <div class="panel-body">
+                <div class="row">
+                    <div class="col-md-6">
+                        <table class="table table-no-border table-condensed table-auto-width table-content">
+                            <tr>
+                                <td class="text-left">Current Average Waiting Time:</td>
+                                <td class="text-right">{{status.TimeStatus.AvgWaitingTime | toTimespan}}</td>
+                            </tr>
+                            <tr>
+                                <td class="text-left">Total CPU Time:</td>
+                                <td class="text-right">{{status.TimeStatus.TotalCpuTime | toTimespan}}</td>
+                            </tr>
+                            <tr>
+                                <td class="text-left">Since:</td>
+                                <td class="text-right">{{status.TimeStatus.BeginDate | toDate}}</td>
+                            </tr>
+                        </table>
+                    </div>
+                    <div class="col-md-6">
+                        <table class="table table-no-border table-condensed table-auto-width table-content">
+                            <tr>
+                                <td class="text-left">Minimum Calculating Time:</td>
+                                <td class="text-right">{{status.TimeStatus.MinCalculatingTime | toTimespan}}</td>
+                            </tr>
+                            <tr>
+                                <td class="text-left">Maximum Calculating Time:</td>
+                                <td class="text-right">{{status.TimeStatus.MaxCalculatingTime | toTimespan}}</td>
+                            </tr>
+                            <tr>
+                                <td class="text-left">Average Calculating Time:</td>
+                                <td class="text-right">{{status.TimeStatus.AvgCalculatingTime | toTimespan}}</td>
+                            </tr>
+                            <tr>
+                                <td class="text-left">Standard Deviation Calculating Time:</td>
+                                <td class="text-right">{{status.TimeStatus.StandardDeviationCalculatingTime | toTimespan}}</td>
+                            </tr>
+                        </table>
+                    </div>
+                </div>
             </div>
         </div>
Index: /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/statusCtrl.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/statusCtrl.js	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/statusCtrl.js	(revision 12878)
@@ -103,5 +103,5 @@
                     $scope.cpu.knobData = Math.round(status.CpuUtilizationStatus.ActiveCpuUtilization);
                     $scope.core.knobData = Math.round(status.CoreStatus.CalculatingCores / status.CoreStatus.ActiveCores * 100);
-                    $scope.memory.knobData = Math.round(status.MemoryStatus.UsedMemory / status.MemoryStatus.ActiveMemory * 100);
+                    $scope.memory.knobData = Math.round(status.MemoryStatus.CalculatingMemory / status.MemoryStatus.ActiveMemory * 100);
                     // chart series
                     var cpuSeries = $scope.cpu.series[0].data.splice(0);
@@ -127,13 +127,8 @@
                     
                     cpuSeries.push([$scope.status.Timestamp, Math.round(status.CpuUtilizationStatus.TotalCpuUtilization)]);
-                    // charts are currently filled with old total/used data
-                    // start temporary
-                    var usedCores = status.CoreStatus.TotalCores - status.CoreStatus.FreeCores;
-                    var usedMemory = status.MemoryStatus.TotalMemory - status.MemoryStatus.FreeMemory;
-                    // end temporary
                     coreSeries[0].push([$scope.status.Timestamp, status.CoreStatus.TotalCores]);
-                    coreSeries[1].push([$scope.status.Timestamp, usedCores]);
+                    coreSeries[1].push([$scope.status.Timestamp, status.CoreStatus.UsedCores]);
                     memorySeries[0].push([$scope.status.Timestamp, Math.round(status.MemoryStatus.TotalMemory / 1024)]);
-                    memorySeries[1].push([$scope.status.Timestamp, Math.round(usedMemory / 1024)]);
+                    memorySeries[1].push([$scope.status.Timestamp, Math.round(status.MemoryStatus.UsedMemory / 1024)]);
                     $scope.cpu.series = [{ data: cpuSeries, label: "&nbsp;CPU Utilization", color: "#f7921d" }];
                     $scope.core.series = [
@@ -160,9 +155,9 @@
                     for (var i = 0; i < noOfStatus; ++i) {
                         var curStatus = status[i];
-                        var cpuData = Math.round(curStatus.CpuUtilizationStatus.ActiveCpuUtilization);
+                        var cpuData = Math.round(curStatus.CpuUtilizationStatus.TotalCpuUtilization);
                         cpuSeries.push([curStatus.Timestamp, cpuData]);
-                        coreSeries[0].push([curStatus.Timestamp, curStatus.CoreStatus.ActiveCores]);
-                        coreSeries[1].push([curStatus.Timestamp, curStatus.CoreStatus.CalculatingCores]);
-                        memorySeries[0].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.ActiveMemory / 1024)]);
+                        coreSeries[0].push([curStatus.Timestamp, curStatus.CoreStatus.TotalCores]);
+                        coreSeries[1].push([curStatus.Timestamp, curStatus.CoreStatus.UsedCores]);
+                        memorySeries[0].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.TotalMemory / 1024)]);
                         memorySeries[1].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.UsedMemory / 1024)]);
                     }
Index: /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/status.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/status.js	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/status.js	(revision 12878)
@@ -23,5 +23,5 @@
             name: 'History',
             route: '#/status/history',
-            icon: 'glyphicon glyphicon-stats'
+            icon: 'glyphicon glyphicon-calendar'
         }]
     });
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/Configs/BundleConfig.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/Configs/BundleConfig.cs	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/Configs/BundleConfig.cs	(revision 12878)
@@ -59,5 +59,5 @@
         // bootstrap
         "~/WebApp/libs/bootstrap/js/bootstrap.min.js",
-        // crypto js
+        // cryptojs
         "~/WebApp/libs/cryptojs/aes.js",
         // angular js
@@ -77,4 +77,5 @@
         "~/WebApp/libs/angularjs/loading-bar/loading-bar.js",
         "~/WebApp/libs/angularjs/ocLazyLoad/ocLazyLoad.min.js",
+        "~/WebApp/libs/angularjs/fittext/ng-FitText.js",
         // smoothScroll
         "~/WebApp/libs/smoothScroll/smoothScroll.js"
@@ -105,5 +106,6 @@
       PluginManager pluginManager = PluginManager.Instance;
       foreach (var plugin in pluginManager.Plugins) {
-        if (File.Exists(string.Format(@"{0}\{1}\{1}.js", PluginManager.PluginsDirectory, plugin.Name))) {
+        var path = Path.Combine(PluginManager.PluginsDirectory, plugin.Name, string.Concat(plugin.Name, ".js"));
+        if (File.Exists(path)) {
           jsFiles.Add(string.Format("WebApp/plugins/{0}/{0}.js", plugin.Name));
         }
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/AppController.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/AppController.cs	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/AppController.cs	(revision 12878)
@@ -20,4 +20,5 @@
 #endregion
 
+using System.Web;
 using System.Web.Mvc;
 
@@ -30,4 +31,5 @@
         return RedirectPermanent(Request.Url + "/");
       }
+      Response.Cache.SetCacheability(HttpCacheability.NoCache);
       return View("~/WebApp/shared/layout/layout.cshtml");
     }
@@ -38,10 +40,12 @@
 
     public ActionResult LoadSharedView(string directory, string view, string dateTime) {
-      // dateTime is optional to avoid browser caching
+      Response.Cache.SetCacheability(HttpCacheability.NoCache);
+      // dateTime is optional to definitly avoid browser caching
       return View(string.Format("~/WebApp/shared/{0}/{1}", directory, view));
     }
 
     public ActionResult LoadPluginView(string plugin, string view, string dateTime) {
-      // dateTime is optional to avoid browser caching
+      Response.Cache.SetCacheability(HttpCacheability.NoCache);
+      // dateTime is optional to definitly avoid browser caching
       return View(string.Format("~/WebApp/plugins/{0}/{1}", plugin, view));
     }
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj	(revision 12878)
@@ -13,5 +13,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Services.WebApp</RootNamespace>
-    <AssemblyName>HeuristicLab.Services.WebApp</AssemblyName>
+    <AssemblyName>HeuristicLab.Services.WebApp-3.3</AssemblyName>
     <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <MvcBuildViews>false</MvcBuildViews>
@@ -118,6 +118,5 @@
     <Reference Include="System.Net.Http.WebRequest">
     </Reference>
-    <Reference Include="WebGrease, Version=1.6.5135.21930, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
-      <SpecificVersion>False</SpecificVersion>
+    <Reference Include="WebGrease">
       <HintPath>..\..\packages\WebGrease.1.6.0\lib\WebGrease.dll</HintPath>
     </Reference>
@@ -146,4 +145,6 @@
     <Content Include="WebApp\libs\angularjs\angular-tablesort\angular-tablesort.js" />
     <Content Include="WebApp\libs\angularjs\angular-tablesort\tablesort.css" />
+    <Content Include="WebApp\libs\angularjs\fittext\ng-FitText.js" />
+    <Content Include="WebApp\libs\cryptojs\aes.js" />
     <Content Include="WebApp\main.js" />
     <Content Include="WebApp\helper.js" />
@@ -172,10 +173,22 @@
     <Content Include="WebApp\plugins\about\about.js" />
     <Content Include="WebApp\plugins\about\aboutCtrl.js" />
-    <Content Include="WebApp\plugins\login\login.css" />
-    <Content Include="WebApp\plugins\login\login.js" />
-    <Content Include="WebApp\plugins\login\loginCtrl.js" />
-    <Content Include="WebApp\plugins\plugins\pluginsExceptionCtrl.js" />
-    <Content Include="WebApp\plugins\plugins\plugins.js" />
-    <Content Include="WebApp\plugins\plugins\pluginsCtrl.js" />
+    <Content Include="WebApp\plugins\login\login.css">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\plugins\login\login.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\plugins\login\loginCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\plugins\plugins\pluginsExceptionCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\plugins\plugins\plugins.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+    <Content Include="WebApp\plugins\plugins\pluginsCtrl.js">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
     <Content Include="WebApp\plugins\plugins\pluginsService.js" />
     <Content Include="WebApp\shared\directives\flot.js" />
@@ -208,5 +221,7 @@
     <Content Include="HeuristicLab.snk" />
     <Content Include="Properties\AssemblyInfo.cs.frame" />
-    <Content Include="Web.config" />
+    <Content Include="Web.config">
+      <SubType>Designer</SubType>
+    </Content>
     <Content Include="Web.Debug.config">
       <DependentUpon>Web.config</DependentUpon>
@@ -219,4 +234,5 @@
     <Content Include="WebApp\libs\bootstrap\fonts\glyphicons-halflings-regular.woff" />
     <Content Include="WebApp\libs\bootstrap\fonts\glyphicons-halflings-regular.woff2" />
+    <Content Include="WebApp\shared\directives\scrollToTop.js" />
     <Content Include="WebApp\shared\filter\filters.js" />
     <Content Include="WebApp\shared\images\HeuristicLab-Logo.png" />
@@ -249,4 +265,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="Properties\PublishProfiles\WebApp.pubxml" />
     <Content Include="WebApp\plugins\about\about.cshtml" />
   </ItemGroup>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/PluginManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/PluginManager.cs	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/PluginManager.cs	(revision 12878)
@@ -43,5 +43,7 @@
 
     public static string PluginsDirectory {
-      get { return string.Format(@"{0}WebApp\plugins", HttpRuntime.AppDomainAppPath); }
+      get {
+        return Path.Combine(HttpRuntime.AppDomainAppPath, "WebApp", "plugins");
+      }
     }
 
@@ -60,7 +62,7 @@
     private void OnFilesChanged(object sender, FileSystemEventArgs args) {
       string path = args.FullPath.Remove(0, PluginsDirectory.Length + 1);
-      var pathParts = path.Split(Path.PathSeparator);
+      var pathParts = path.Split(Path.DirectorySeparatorChar);
       string pluginName = pathParts[0];
-      if (pathParts.Length == 1) {
+      if (pathParts.Length <= 2) {
         switch (args.ChangeType) {
           case WatcherChangeTypes.Created:
@@ -75,5 +77,5 @@
             RenamedEventArgs renamedArgs = (RenamedEventArgs)args;
             string oldPath = renamedArgs.OldFullPath.Remove(0, PluginsDirectory.Length + 1);
-            var oldPathParts = oldPath.Split(Path.PathSeparator);
+            var oldPathParts = oldPath.Split(Path.DirectorySeparatorChar);
             string oldPluginName = oldPathParts[0];
             plugins.Remove(oldPluginName);
@@ -94,5 +96,5 @@
       Plugin plugin = LookupPlugin(name);
       if (plugin == null) {
-        string directory = string.Format(@"{0}\{1}", PluginsDirectory, name);
+        string directory = Path.Combine(PluginsDirectory, name);
         if (Directory.Exists(directory)) {
           plugin = new Plugin(name, directory, Configuration);
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/app.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/app.js	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/app.js	(revision 12878)
@@ -2,4 +2,5 @@
 var appName = 'app';
 var appPath = 'WebApp';
+var defaultPageUpdateInterval = 60000;
 
 // route, plugin, menu, section and main app
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/helper.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/helper.js	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/helper.js	(revision 12878)
@@ -7,4 +7,22 @@
 Number.prototype.zeropad = function (n) {
     return (new Array(n + 1).join("0") + this).slice(-n);
+};
+
+Number.prototype.toHHMMSS = function() {
+    d = this;
+    d = Number(d);
+    var years = Math.floor(d / 31536000);
+    var days = Math.floor(d / 86400 % 365);
+    var h = Math.floor(d / 3600 % 24);
+    var m = Math.floor(d % 3600 / 60);
+    var s = Math.floor(d % 3600 % 60);
+    var timeStr = "";
+    if (years > 0) {
+        timeStr = years + "y ";
+    }
+    if (days > 0) {
+        timeStr = timeStr + days + "d ";
+    }
+    return timeStr + h.zeropad(2) + ":" + m.zeropad(2) + ":" + s.zeropad(2);
 };
 
@@ -33,5 +51,4 @@
 };
 
-
 var CSharpDateToString = function (datetime) {
     var date = new Date(Date.parse(datetime));
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/libs/angularjs/fittext/ng-FitText.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/libs/angularjs/fittext/ng-FitText.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/libs/angularjs/fittext/ng-FitText.js	(revision 12878)
@@ -0,0 +1,76 @@
+﻿/* ng-FitText.js v3.3.3
+ * https://github.com/patrickmarabeas/ng-FitText.js
+ *
+ * Original jQuery project: https://github.com/davatron5000/FitText.js
+ *
+ * Copyright 2015, Patrick Marabeas http://marabeas.io
+ * Released under the MIT license
+ * http://opensource.org/licenses/mit-license.php
+ *
+ * Date: 06/05/2015
+ */
+
+(function (window, document, angular, undefined) {
+
+    'use strict';
+
+    angular.module('ngFitText', [])
+      .value('config', {
+          'debounce': false,
+          'delay': 250,
+          'loadDelay': 10,
+          'min': undefined,
+          'max': undefined
+      })
+
+      .directive('fittext', ['$timeout', 'config', 'fitTextConfig', function ($timeout, config, fitTextConfig) {
+          return {
+              restrict: 'A',
+              scope: true,
+              link: function (scope, element, attrs) {
+                  angular.extend(config, fitTextConfig.config);
+
+                  element[0].style.display = 'inline-block';
+                  element[0].style.lineHeight = '1';
+
+                  var parent = element.parent();
+                  var compressor = attrs.fittext || 1;
+                  var loadDelay = attrs.fittextLoadDelay || config.loadDelay;
+                  var nl = element[0].querySelectorAll('[fittext-nl],[data-fittext-nl]').length || 1;
+                  var minFontSize = attrs.fittextMin || config.min || Number.NEGATIVE_INFINITY;
+                  var maxFontSize = attrs.fittextMax || config.max || Number.POSITIVE_INFINITY;
+
+                  var resizer = function () {
+                      element[0].style.fontSize = '10px';
+                      var ratio = element[0].offsetHeight / element[0].offsetWidth / nl;
+                      element[0].style.fontSize = Math.max(
+                        Math.min((parent[0].offsetWidth - 6) * ratio * compressor,
+                          parseFloat(maxFontSize)
+                        ),
+                        parseFloat(minFontSize)
+                      ) + 'px';
+                  };
+
+                  $timeout(function () { resizer() }, loadDelay);
+
+                  scope.$watch(attrs.ngModel, function () { resizer() });
+
+                  config.debounce
+                    ? angular.element(window).bind('resize', config.debounce(function () { scope.$apply(resizer) }, config.delay))
+                    : angular.element(window).bind('resize', function () { scope.$apply(resizer) });
+              }
+          }
+      }])
+
+      .provider('fitTextConfig', function () {
+          var self = this;
+          this.config = {};
+          this.$get = function () {
+              var extend = {};
+              extend.config = self.config;
+              return extend;
+          };
+          return this;
+      });
+
+})(window, document, angular);
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml	(revision 12878)
@@ -28,5 +28,5 @@
                 <div class="panel-body">
                     <p><strong>Support</strong>: <a href="App/RedirectUrl?url=http://groups.google.com/group/heuristiclab">HeuristicLab Google Group</a></p>
-                    <p><strong>Inquiries</strong>: ​<a ng-click="mailToSupport()">support(at)heuristiclab.com</a></p>
+                    <p><strong>Inquiries</strong>: ​<a class="cursor-pointer" ng-click="mailToSupport()">support(at)heuristiclab.com</a></p>
                     <p><strong>Heuristic and Evolutionary Algorithms Laboratory (HEAL)</strong>: <a href="App/RedirectUrl?url=http://heal.heuristiclab.com">​http://heal.heuristiclab.com</a></p>
                     <p><strong>HeuristicLab development site</strong>: <a href="App/RedirectUrl?url=http://dev.heuristiclab.com">http://dev.heuristiclab.com</a></p>
@@ -36,5 +36,5 @@
                         <span class="glyphicon glyphicon-phone-alt"></span> +43 50804 22030<br />
                         <span class="glyphicon glyphicon-print"></span> +43 50804 21599<br />
-                        <span class="glyphicon glyphicon-envelope"></span> <a ng-click="mailToStefanWagner()">stefan.wagner(at)heuristiclab.com</a><br />
+                        <span class="glyphicon glyphicon-envelope"></span> <a class="cursor-pointer" ng-click="mailToStefanWagner()">stefan.wagner(at)heuristiclab.com</a><br />
                     </p>
                 </div>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/login/login.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/login/login.cshtml	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/login/login.cshtml	(revision 12878)
@@ -14,5 +14,5 @@
                             <div class="input-group">
                                 <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
-                                <input type="text" class="form-control" name="Username" placeholder="User"
+                                <input type="text" class="form-control" name="Username" placeholder="Username"
                                        ng-model="user.Username">
                             </div>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/plugins.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/plugins.cshtml	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/plugins.cshtml	(revision 12878)
@@ -21,7 +21,7 @@
                                 <th>#</th>
                                 <th ts-criteria="Name">Name</th>
-                                <th ts-criteria ="AssemblyName">Assembly</th>
+                                <th ts-criteria="AssemblyName">Assembly</th>
                                 <th ts-criteria="LastReload">Last reload</th>
-                                <th>Status</th>
+                                <th class="text-center">Status</th>
                                 <th></th>
                             </tr>
@@ -33,5 +33,5 @@
                                 <td>{{plugin.AssemblyName}}</td>
                                 <td>{{plugin.LastReload}}</td>
-                                <td>
+                                <td class="text-center">
                                     <span ng-hide="plugin.Exception" class="glyphicon glyphicon glyphicon-ok" style="color: green"></span>
                                     <span ng-show="plugin.Exception" class="glyphicon glyphicon glyphicon-remove" style="color: darkred"
@@ -39,5 +39,5 @@
                                 </td>
                                 <td>
-                                    <a ng-href="" data-ng-click="reloadPlugin(plugin.Name)">Reload</a>
+                                    <a ng-href="" class="cursor-pointer" data-ng-click="reloadPlugin(plugin.Name)">Reload</a>
                                 </td>
                             </tr>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/shared/layout/layout.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/shared/layout/layout.cshtml	(revision 12877)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/shared/layout/layout.cshtml	(revision 12878)
@@ -24,9 +24,10 @@
     <meta charset="utf-8" />
     <meta name="viewport" content="width=device-width, initial-scale=1">
+    <meta http-equiv="pragma" content="no-cache" />
     <title>HeuristicLab Hive</title>
     <link href="~/WebApp/HeuristicLab.ico" rel="shortcut icon" type="image/x-icon" />
     @Styles.Render("~/Bundles/Vendors/css")
     @Styles.Render("~/Bundles/WebApp/css")
-    <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700">
+    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans:300,400,600,700">
     <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
     <!--[if lt IE 9]>
@@ -63,15 +64,12 @@
                 <div class="navbar-content">
                     <ul class="nav navbar-nav navbar-right">
-                        @if (Request.IsAuthenticated)
-                        {
+                        @if (Request.IsAuthenticated) {
                             <li>
                                 <span class="navbar-text">Hello @User.Identity.Name!</span>
                             </li>
                             <li>
-                                <a ng-href="" data-ng-click="logout()">Logout</a>
+                                <a ng-href="#" data-ng-click="logout()">Logout</a>
                             </li>
-                        }
-                        else
-                        {
+                        } else {
                             <li>
                                 <a ng-href="#/login" data-ng-click="hideMenu()">Login</a>
@@ -97,7 +95,7 @@
 </div>
 <script type="text/javascript">
-$('.navbar-collapse').on('click', 'li a', function () {
-    $('.navbar-collapse').collapse('hide');
-});
+    $('.navbar-collapse').on('click', 'li a', function () {
+        $('.navbar-collapse').collapse('hide');
+    });
 </script>
 </body>
